<template>
	<div class="search-box hidden-xs-only">
		<!--<div v-click-outside="hide" @click="toggle" aria-haspopup="listbox" role="combobox" aria-owns="el-autocomplete-2531" class="el-autocomplete search-input" clearable="" aria-expanded="true">-->
			<div class="el-input el-input--small el-input--prefix">
				<!----><input v-model="search" type="text" autocomplete="off" valuekey="value" popperclass="search-box-popper card-base card-shadow--small" placeholder="Search..." fetchsuggestions="function () { [native code] }" triggeronfocus="true" debounce="300" placement="bottom-start" class="el-input__inner" role="textbox" aria-autocomplete="list" aria-controls="id" >
				<span class="el-input__prefix"><i class="el-input__icon el-icon-search"></i>
                </span><!----><!---->
			</div>
		<!--</div>-->

		<div  v-show="opened" role="region" class="el-autocomplete-suggestion el-popper search-box-popper card-base card-shadow--small" style="transform-origin: center top; z-index: 2024; width: 300px; position: absolute; top: 53px; left: 320px;" x-placement="bottom-start">
			<div class="el-scrollbar">
				<div class="el-autocomplete-suggestion__wrap el-scrollbar__wrap" style="margin-bottom: -17px; margin-right: -17px;">
					<ul class="el-scrollbar__view el-autocomplete-suggestion__list" role="listbox" style="padding: 0 20px;">
						<div @click="prevenHide" class="el-menu-item-group__title" style="padding-left: 0px;">
							<i class="mdi mdi-account-circle"></i> <span> Employees</span>
						</div>
						<li role="option" class="">
							<span data-v-76a36f76="" class="">Jonh</span>
						</li>
						<li role="option" class="">
							<span data-v-76a36f76="" class="">Ely</span>
						</li>
						<hr/>

						<div class="el-menu-item-group__title" style="padding-left: 0px;">
							<i class="mdi mdi-briefcase"></i> <span> Jobs</span>
						</div>
						<li role="option" class="">
							<span data-v-76a36f76="" class="">worker</span>
						</li>
					</ul>
				</div>

			</div>
			<div x-arrow="" class="popper__arrow" style="left: 35px;"></div>
		</div>
	</div>

</template>

<script>
    // import ClickOutside from 'vue-click-outside'
    export default {
        name: 'SearchAll',
        data() {
            return {
                options: [],
                search: [],
                list: [],
                loading: false,
                states: {
                    employees: [1, "têttete", "qádfghj"],
                    jobs: ["rwrrwr", "fgfg", "trtr"],
                    seekers: ["têttet", "fêrsfsff", "rể"]
                },
                activated: false,
                opened: false
            }
        },
        mounted() {
            // this.list = this.states.map(item => {
            //     return { search: item, label: item };
            // });
            this.popupItem = this.$el
        },
        methods: {
            remoteMethod(query) {
                if (query !== '') {
                    this.loading = true;
                    setTimeout(() => {
                        this.loading = false;
                        this.options = this.list.filter(item => {
                            return item.label.toLowerCase()
                                .indexOf(query.toLowerCase()) > -1;
                        });
                    }, 200);
                } else {
                    this.options = [];
                }
            },
            toggle () {
                this.opened = true
            },

            hide () {
                this.opened = false
				console.log("hide");
            },
            prevenHide() {
                this.opened = true
			}

        },
        directives: {
            // ClickOutside
        }
    }
</script>
<style lang="scss" scoped>
	@import '../assets/scss/_variables';
	@import '../assets/scss/card-shadow';

	.search-box {
		max-width: 300px;
		width: 100%;

		.search-input {
			overflow: hidden;
			transition: all .5s;
			background: transparent;

			&:hover, &:active, &:focus {
				@extend .card-base;
				@extend .card-shadow--small;
			}
		}
	}
</style>

<style lang="scss">
	@import '../assets/scss/_variables';

	.search-box {
		.el-autocomplete {
			width: 100%;

			input {
				border-color: transparent;
				border-radius: 0px;
				background-color: transparent;
				line-height: 33px;
				border-bottom-color: transparentize($text-color-accent, .8);
				transition: all .5s;

				&:hover {
					border-color: transparent;
				}
				&:focus {
					border-color: $text-color-accent;
				}
				&:hover, &:active, &:focus {
					border-radius: 5px;
					background-color: #fff;
				}
			}

			.el-input__suffix {
				cursor: pointer;
			}
		}
	}

	.search-box-popper {
		margin-top: 2px !important;
		border-radius: 5px;
		overflow: hidden;

		.el-scrollbar__wrap {
			border: none;
			max-height: 240px;
		}

		.value {
			color: $text-color-accent;
			font-weight: bold;
			margin-right: 10px;
			text-transform: capitalize;
		}
		.tags {
			opacity: .5;
			text-transform: lowercase;
		}

		.popper__arrow {
			display: none;
		}
	}
</style>

